# class KDirectionButton | Direction buttons. More...
Internal Use Only
Definition | `#include <kdbtn.h>`
Inherits | QButton (qt) [public ]
Inherited by | KTabButton
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDirectionButton ( QWidget * parent = 0, const char * name = 0 )
- KDirectionButton ( ArrowType d, QWidget * parent = 0, const char * name = 0 )
- ~KDirectionButton ()
- void setDirection ( ArrowType d)
- ArrowType direction ( )

#### Protected Methods

- virtual void drawButton (QPainter *)

#### Protected Members

- ArrowType direct

## Detailed Description

KDirectionButton was a helper class for KTabBar and KWizard which existed in the stone ages of KDE. The replacement QTabBar uses QToolButton for the direction buttons which have a look and feel that adjusts to the widget style in use. It provides the buttons used to scroll the tab bar and to change pages in KWizard.

KDirectionButton ( QWidget * parent = 0, const char * name = 0 ) | ### KDirectionButton

KDirectionButton ( ArrowType d, QWidget * parent = 0, const char * name = 0 ) | ### KDirectionButton

~KDirectionButton () | ### ~KDirectionButton

void setDirection ( ArrowType d) | ### setDirection

ArrowType direction ( ) | ### direction

void drawButton (QPainter *) | ### drawButton

[protected virtual]

Reimplemented from QButton.

ArrowType direct | ### direct

[protected]

- Version: 0.1
- Author: Thomas Tanghus <tanghus@earthling.net>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.